Skip to main content
GET
/
api
/
v1
/
sessions
/
{id}
/
producer-token
Fetch the WHIP publishing URL (operator)
curl --request GET \
  --url https://api.luxxon.dev/api/v1/api/v1/sessions/{id}/producer-token \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "message": "Request successful",
  "data": {
    "videoBackendRef": "6a7aab6e273b40251e8ee72d7ca05719",
    "whipUrl": "https://customer-CODE.cloudflarestream.com/UID/webRTC"
  },
  "timestamp": "2026-05-13T12:00:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-lx-consistency-token
string

Path Parameters

id
string
required
Example:

"b1e2f3a4-5b6c-7d8e-9f0a-1b2c3d4e5f6a"

Response

Request successful

statusCode
number
required
Example:

200

message
string
required
Example:

"Request successful"

data
object
required

Endpoint-specific payload. See the per-endpoint schema.

timestamp
string
required
Example:

"2026-05-13T12:00:00.000Z"